Package org.eclipse.ui.dialogs

# Interface IOverwriteQuery

All Known Implementing Classes:
  `NavigatorDropAdapter`, `WizardDataTransferPage`, `WizardExportResourcesPage`, `WizardResourceImportPage`

public interface IOverwriteQuery
Implementors of this interface answer one of the prescribed return codes when asked whether to overwrite a certain path string (which could represent a resource path, a file system path, etc).

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`ALL`
Return code indicating the entity should be overwritten, and all subsequent entities should be overwritten without prompting.
`static final String`
`CANCEL`
Return code indicating the operation should be canceled.
`static final String`
`NO`
Return code indicating the entity should not be overwritten, but operation should not be canceled.
`static final String`
`NO_ALL`
Return code indicating the entity should not be overwritten, and all subsequent entities should not be overwritten without prompting.
`static final String`
`YES`
Return code indicating the entity should be overwritten.

## Method Summary

Modifier and Type
Method
Description
`String`
`queryOverwrite(String pathString)`
Returns one of the return code constants declared on this interface, indicating whether the entity represented by the passed String should be overwritten.

## Field Details

### CANCEL

static final String CANCEL
Return code indicating the operation should be canceled.

See Also:
  - Constant Field Values

### NO

static final String NO
Return code indicating the entity should not be overwritten, but operation should not be canceled.

See Also:
  - Constant Field Values

### YES

static final String YES
Return code indicating the entity should be overwritten.

See Also:
  - Constant Field Values

### ALL

static final String ALL
Return code indicating the entity should be overwritten, and all subsequent entities should be overwritten without prompting.

See Also:
  - Constant Field Values

### NO_ALL

static final String NO_ALL
Return code indicating the entity should not be overwritten, and all subsequent entities should not be overwritten without prompting.

See Also:
  - Constant Field Values

## Method Details

### queryOverwrite

String queryOverwrite(String pathString)
Returns one of the return code constants declared on this interface, indicating whether the entity represented by the passed String should be overwritten.

This method may be called from a non-UI thread, in which case this method must run the query in a sync exec in the UI thread, if it needs to query the user.

Parameters:
  `pathString` - the path representing the entity to be overwritten
Returns:
  one of the return code constants declared on this interface